light-mode-image
Learn
API ReferenceJSON

Retrieve revocation list

GET/v2/credentials/web-semantic/revocation-lists/{id}

Retrieves a JSON credential revocation list by providing its ID.

This endpoint is intended for public consumption, and as such does not require authentication.

Path Parameters

id*string

Revocation list ID. This value can be found within the credential you created. Look at the value for Credential.credential.credentialStatus.id, the string after https://tenant.vii.mattr.global/v1/revocation-lists/ is what you're looking for

Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/credentials/web-semantic/revocation-lists/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "https://tenant.vii.mattr.global/v1/revocation-lists/cc641396-3750-43c8-b8b8-f30d74eb3fb3",  "@context": [    "https://www.w3.org/2018/credentials/v1",    "https://w3id.org/vc-revocation-list-2020/v1"  ],  "type": [    "VerifiableCredential",    "RevocationList2020Credential"  ],  "issuer": "did:web:organization.com",  "issuanceDate": "2020-05-02T12:06:29.156Z",  "credentialSubject": {    "type": "RevocationList2020",    "encodedList": "H4sIAAAAAAAAA-3BMQEAAADCoPVPbQwfoAAAAAAAAAAAAAAAAAAAAIC3AYbSVKsAQAAA"  },  "proof": {    "type": "Ed25519Signature2018",    "created": "2020-05-02T12:06:29Z",    "jws": "EXAMPLE_JWS_TOKEN_eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",    "proofPurpose": "assertionMethod",    "verificationMethod": "did:web:organization.com#CU6dJt9p8t"  }}

How would you rate this page?